Table of Contents

Class: SvnPropListDialog | eric3/VCS/subversionPackage/PropListDialog.py
--- | ---

Module implementing a dialog to show the output of the svn proplist command process.

Base Classes |
--- | ---
PropListForm

Methods |
--- | ---
__init__ buttonPressed closeEvent finish handleProcessExited handleReadStderr handleReadStdout start
| __init__

    __init__ (
            self,
            vcs,
            parent=None,
            )

### Constructor

#### Arguments

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| closeEvent

    closeEvent ( self,  e )

### Private slot implementing a close event handler.

#### Arguments

e
  close event (QCloseEvent)

| finish

    finish ( self )

Private slot called when the process finished or the user pressed the button.

| handleProcessExited

    handleProcessExited ( self )

### Private slot to handle the processExited signal.

Just call finish().

| handleReadStderr

    handleReadStderr ( self )

### Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

| handleReadStdout

    handleReadStdout ( self )

### Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

| start

    start (
            self,
            fn,
            recursive=0,
            )

### Public slot to start the svn status command.

#### Arguments

fn
  filename(s) (string or list of string)
recursive
  flag indicating a recursive list is requested

Table of Contents

This document was automatically generated by HappyDoc version 2.1